<body class="container-fluid text-light bg-dark">

    <header class="col-12 sticky-top">
        <app-header></app-header>
    </header>

    <main class="col-12 d-flex">
        <section class="col-2 flex-column">
            <app-side-bar></app-side-bar>
        </section>

        <section class="col-10">
            <section class="bg-dark d-flex flex-row text-center">
                <div class="col-6">
                    <div class="col-12">
                        <figure class="figure">
                            <img src="../../assets/pochetteAlbum.jpg" class="figure-img img-fluid rounded" alt="Rock Covers">
                            <figcaption class="figure-caption text-center">
                                <h3 class="font-weight-bolder text-light">Rock Covers</h3>
                                <p>Spotify</p>
                            </figcaption>
                        </figure>
                        <div class="col-12">
                            <button type="button" class="btn btn-success rounded-pill">Lecture</button>
                            <p>38 Titres</p>
                            <div class="row text-center">
                                <a href="#"><img src="https://img.icons8.com/ios/24/000000/like.png" class="mx-auto"></a>
                                <a href="#"><img src="https://img.icons8.com/ios/24/000000/more.png" class="mx-auto"></a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-6">
                    <div class="col-12 text-left bg-secondary">
                        <ul class="border border-dark list-unstyled" *ngFor="let song of songs">

                            <li><button (click)="selectedSong = song">{{ song.title }} by {{ song.singer }}</button></li>
                            <li>Duration : {{ song.duration | date:'mm:ss'}} / Year of release : {{ song.parution | date:'yyyy' }}</li>
                            <li>Liked : {{ song.likeCounter }} <button (click)="increment(song)"><img src="../assets/like.jpg" width="35px;" ></button> - <button (click)="decrement(song)"><img src="../assets/dislike.jpg" width="35px;" ></button></li>

                        </ul>
                    </div>
                </div>
            </section>
        </section>

    </main>

    <footer class="col-12 fixed-bottom">
        <app-footer-player [song]="selectedSong"></app-footer-player>
    </footer>
</body>